Package org.eclipse.emf.cdo.spi.server

# Class AppExtension

java.lang.Object
org.eclipse.emf.cdo.spi.server.AbstractAppExtension
org.eclipse.emf.cdo.spi.server.AppExtension

All Implemented Interfaces:
  `IAppExtension`, `IAppExtension3`, `IAppExtension5`, `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.ParameterAware`

Direct Known Subclasses:
  `LMAppExtension`

public abstract class AppExtension extends AbstractAppExtension implements IAppExtension3, IAppExtension5

Since:
  4.10
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Constructor Summary

Constructors
Constructor
Description
`AppExtension()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getName()`
`final void`
`start(File configFile)`
`void`
`start(IRepository[] repositories, File configFile)`
`protected abstract void`
`start(InternalRepository repository, Element repositoryConfig)`
`boolean`
`startBeforeRepositories()`
`final void`
`stop()`
`void`
`stop(IRepository[] repositories)`
`protected abstract void`
`stop(InternalRepository repository)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.AbstractAppExtension

`getAttribute, getContainer, getDocument, getParameters, getRepository, setManagedContainer, setParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppExtension

public AppExtension()

## Method Details

### getName

public abstract String getName()

Specified by:
  `getName` in interface `IAppExtension5`

### startBeforeRepositories

public boolean startBeforeRepositories()

Specified by:
  `startBeforeRepositories` in interface `IAppExtension5`

### start

public final void start(File configFile) throws Exception

Specified by:
  `start` in interface `IAppExtension`
Throws:
  `Exception`

### stop

public final void stop() throws Exception

Specified by:
  `stop` in interface `IAppExtension`
Throws:
  `Exception`

### start

public void start(IRepository[] repositories, File configFile) throws Exception

Specified by:
  `start` in interface `IAppExtension3`
Throws:
  `Exception`

### stop

public void stop(IRepository[] repositories) throws Exception

Specified by:
  `stop` in interface `IAppExtension3`
Throws:
  `Exception`

### start

protected abstract void start(InternalRepository repository, Element repositoryConfig) throws Exception

Throws:
  `Exception`

### stop

protected abstract void stop(InternalRepository repository) throws Exception

Throws:
  `Exception`